メインコンテンツへスキップ
POST
https://{tenantDomain}/api/v2
/
keys
/
encryption
/
rekey
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Keys.Encryption.RekeyAsync();
    }

}
package example

import (
context "context"

client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Keys.Encryption.Rekey(
context.TODO(),
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.keys().encryption().rekey();
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->keys->encryption->rekey();
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.keys.encryption.rekey()
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.keys.encryption.rekey
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.encryption.rekey();
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.encryption.rekey();
}
main();
curl --request POST \
--url https://{tenantDomain}/api/v2/keys/encryption/rekey \
--header 'Authorization: Bearer <token>'

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

レスポンス

The key hierarchy was successfully rekeyed.